Wikia

Vim Tips Wiki

Script:2158

Talk0
1,612pages on
this wiki
Revision as of 20:00, March 21, 2012 by Fritzophrenic (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)

Use this page to discuss script 2158 diffchanges: Show changes made to current buffer since the last save

  • Add constructive comments, bug reports, or discuss improvements (see the guideline).
  • Do not document the script here (the author should do that on vim.org).
  • This page may be out of date: check the script's vim.org page above, and its release notes.
Error detected while processing /nfs/fm/disks/fm_home_a1fs/vskhadye/.vim/plugin/diffchanges.vim:
line   11:
E15: Invalid expression: []
E15: Invalid expression:  []
line   12:
E15: Invalid expression: []
E15: Invalid expression:  []
line   13:
E15: Invalid expression: ['diff', 'patch']
E15: Invalid expression:  ['diff', 'patch']
line  131:
E492: Not an editor command:     endfor
line  132:
E133: :return not inside a function
line  133:
E193: :endfunction not inside a function
Hit ENTER or type command to continue

i use version 6.4.6

I cannot speak for the author, but I would guess the best you're going to get here is a graceful exit in your old Vim. The script seems to use some very basic features (for loops and a list data type) which just don't exist in versions prior to 7.0. I doubt very much the author will be willing to re-implement the script for earlier Vims, although he he may provide a "finish" statement for earlier Vims, to prevent the error messages (and render the plugin inoperable).
In short, your best bet is to use a more recent Vim. 6.4.6 is now close to 8 years old.
--Fritzophrenic 20:00, March 21, 2012 (UTC)

Around Wikia's network

Random Wiki